Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorPrivateMetadataClientBufferRequest Class Reference
Request | Ext::SensorPrivateMetadataClientBuffer

Interface used to set client buffer for sensor private metadata for a request. More...

`#include <SensorPrivateMetadataClientBuffer.h>`

Inheritance diagram for Argus::Ext::ISensorPrivateMetadataClientBufferRequest:

List of all members.

## Public Member Functions
virtual Status | setClientMetadataBuffer (void *buf, size_t size)=0
| Client allocate the metadata buffer and set the address of the buffer, Argus writes the sensor metadata directly to the buffer.
virtual bool | getClientMetadataBufferEnable () const =0
| Returns if client metadata buffer is used for this request.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorPrivateMetadataClientBufferRequest ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to set client buffer for sensor private metadata for a request.

Definition at line 69 of file SensorPrivateMetadataClientBuffer.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorPrivateMetadataClientBufferRequest::~ISensorPrivateMetadataClientBufferRequest | ( |  | ) |
| inline protected

Definition at line 89 of file SensorPrivateMetadataClientBuffer.h.

## Member Function Documentation

virtual bool Argus::Ext::ISensorPrivateMetadataClientBufferRequest::getClientMetadataBufferEnable | ( |  | ) | const
| pure virtual

Returns if client metadata buffer is used for this request.

static const InterfaceID& Argus::Ext::ISensorPrivateMetadataClientBufferRequest::id | ( |  | ) |
| inline static

Definition at line 72 of file SensorPrivateMetadataClientBuffer.h.

virtual Status Argus::Ext::ISensorPrivateMetadataClientBufferRequest::setClientMetadataBuffer | ( | void * | buf,
|  | size_t | size
| ) |  |
| pure virtual

Client allocate the metadata buffer and set the address of the buffer, Argus writes the sensor metadata directly to the buffer.

This method is supported only in single process mode.

Parameters:

  [in] | buf | Specifies the address of client buffer.
  [in] | size | Specifies the size in bytes of the metadata buffer.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorPrivateMetadataClientBuffer.h